From: Feng Zhang <[email-masked]>
Date: Thu, 26 May 1994 11:54:20 -0500 (CDT)

I realize that IFCSS really doesn't have healthy democratic structure. I
feel that council is so weak to do anything good to stop Changsheng's
immature action. To me either crash down IFCSS or reform it.

Zhang Feng